Bug 809330 - Can't read 16GB SD card
Can't read 16GB SD card
Status: CLOSED DUPLICATE of bug 871638
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 02:01 EDT by Hubert Figuiere
Modified: 2013-04-12 14:38 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 14:38:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hubert Figuiere 2012-04-03 02:01:18 EDT
Description of problem:

Can't read 16GB SD card
Inserting it, nothing happens (4GB work)

I get
[554642.745298] mmc0: error -110 whilst initialising SD card
[554642.818420] mmc0: error -110 whilst initialising SD card
[554642.892295] mmc0: error -110 whilst initialising SD card
[554642.971442] mmc0: error -110 whilst initialising SD card

Card works fine in camera or in the MacBook Pro with MacOS.

Hardware: Thinkpad X220

Version-Release number of selected component (if applicable):

kernel is 3.3.0-4.fc16.x86_64

How reproducible:

Always

Additional info:

lspci
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:16.3 Serial controller: Intel Corporation 6 Series/C200 Series Chipset Family KT Controller (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)
00:1a.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b4)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b4)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b4)
00:1c.4 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 5 (rev b4)
00:1c.6 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 7 (rev b4)
00:1d.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QM67 Express Chipset Family LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 04)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 04)
03:00.0 Network controller: Intel Corporation Centrino Advanced-N 6205 (rev 34)
0d:00.0 System peripheral: Ricoh Co Ltd MMC/SD Host Controller (rev 04)
0e:00.0 USB Controller: NEC Corporation uPD720200 USB 3.0 Host Controller (rev 04)
Comment 1 Josh Boyer 2012-09-19 15:08:27 EDT
Are you still seeing this with the 3.4 or 3.5 kernel updates?
Comment 2 Hubert Figuiere 2012-09-19 15:56:58 EDT
On F17

Linux raptor 3.5.0-2.fc17.x86_64 #1 SMP Mon Jul 30 14:48:59 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

When I insert the card I get this in the dmesg:

[1458475.913813] mmc0: error -110 whilst initialising SD card
[1458475.995248] mmc0: error -110 whilst initialising SD card
[1458476.069441] mmc0: error -110 whilst initialising SD card
[1458476.143995] mmc0: error -110 whilst initialising SD card
[1458476.220975] mmc0: error -110 whilst initialising SD card
[1458476.303287] mmc0: error -110 whilst initialising SD card


The hardware is 

0d:00.0 System peripheral: Ricoh Co Ltd MMC/SD Host Controller (rev 04) (prog-if 01)
	Subsystem: Lenovo Device 21da
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at f1500000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sdhci-pci
Comment 3 Dave Jones 2012-10-23 11:28:44 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 4 Justin M. Forbes 2012-11-13 10:38:20 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.
Comment 5 Hubert Figuiere 2012-11-13 14:49:24 EST
Linux raptor 3.6.6-1.fc17.x86_64 #1 SMP Mon Nov 5 21:59:35 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux


[  132.508499] mmc0: error -110 whilst initialising SD card
[  132.663683] mmc0: error -110 whilst initialising SD card
[  132.824523] mmc0: error -110 whilst initialising SD card
[  132.994347] mmc0: error -110 whilst initialising SD card


Still happening. Not fixed.
Comment 6 Fedora End Of Life 2013-01-16 17:58:05 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Hubert Figuiere 2013-01-16 18:00:53 EST
Bumping to Fedora 18. Because it is still happening.

[28867.377307] mmc0: new SDHC card at address b368
[28867.390312] mmcblk0: mmc0:b368 LEXAR 14.9 GiB (ro)
[28867.391656] mmcblk0: error -84 transferring data, sector 0, nr 8, cmd response 0x900, card status 0xb00
[28867.391661] mmcblk0: retrying using single block read
[28867.392069] mmcblk0: error -84 transferring data, sector 0, nr 8, cmd response 0x900, card status 0x0
[28867.392072] end_request: I/O error, dev mmcblk0, sector 0
[28867.392478] mmcblk0: error -84 transferring data, sector 1, nr 7, cmd response 0x900, card status 0x0
[28867.392480] end_request: I/O error, dev mmcblk0, sector 1
[28867.392889] mmcblk0: error -84 transferring data, sector 2, nr 6, cmd response 0x900, card status 0x0
[28867.392892] end_request: I/O error, dev mmcblk0, sector 2
[28867.393297] mmcblk0: error -84 transferring data, sector 3, nr 5, cmd response 0x900, card status 0x0
[28867.393298] end_request: I/O error, dev mmcblk0, sector 3
[28867.393702] mmcblk0: error -84 transferring data, sector 4, nr 4, cmd response 0x900, card status 0x0
[28867.393705] end_request: I/O error, dev mmcblk0, sector 4
[28867.394110] mmcblk0: error -84 transferring data, sector 5, nr 3, cmd response 0x900, card status 0x0
[28867.394112] end_request: I/O error, dev mmcblk0, sector 5
[28867.394517] mmcblk0: error -84 transferring data, sector 6, nr 2, cmd response 0x900, card status 0x0
[28867.394520] end_request: I/O error, dev mmcblk0, sector 6
[28867.394925] mmcblk0: error -84 transferring data, sector 7, nr 1, cmd response 0x900, card status 0x0
[28867.394928] end_request: I/O error, dev mmcblk0, sector 7
[28867.394930] Buffer I/O error on device mmcblk0, logical block 0
[28867.395602] mmcblk0: error -84 transferring data, sector 0, nr 8, cmd response 0x900, card status 0xb00
[28867.395604] mmcblk0: retrying using single block read
[28867.396015] mmcblk0: error -84 transferring data, sector 0, nr 8, cmd response 0x900, card status 0x0
[28867.396020] end_request: I/O error, dev mmcblk0, sector 0
[28867.396428] mmcblk0: error -84 transferring data, sector 1, nr 7, cmd response 0x900, card status 0x0
[28867.396430] end_request: I/O error, dev mmcblk0, sector 1
[28867.396835] mmcblk0: error -84 transferring data, sector 2, nr 6, cmd response 0x900, card status 0x0
[28867.397241] mmcblk0: error -84 transferring data, sector 3, nr 5, cmd response 0x900, card status 0x0
[28867.397646] mmcblk0: error -84 transferring data, sector 4, nr 4, cmd response 0x900, card status 0x0
[28867.398053] mmcblk0: error -84 transferring data, sector 5, nr 3, cmd response 0x900, card status 0x0
[28867.398457] mmcblk0: error -84 transferring data, sector 6, nr 2, cmd response 0x900, card status 0x0
[28867.398865] mmcblk0: error -84 transferring data, sector 7, nr 1, cmd response 0x900, card status 0x0
[28867.398869] Buffer I/O error on device mmcblk0, logical block 0


Kernel is

Linux raptor 3.7.2-201.fc18.x86_64 #1 SMP Fri Jan 11 22:16:23 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
Comment 8 Yann Droneaud 2013-03-13 12:08:54 EDT
See bug #871638 for the fix
Comment 9 Hubert Figuiere 2013-03-14 11:05:22 EDT
Looks like it. I'll test when I reboot on kernelk 3.8.2

Thanks.
Comment 10 Hubert Figuiere 2013-04-12 14:38:30 EDT
Definitely a dupe.

*** This bug has been marked as a duplicate of bug 871638 ***

Note You need to log in before you can comment on or make changes to this bug.